## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate wiggle

Name:           rust-%{crate}
Version:        0.33.0
Release:        %autorelease
Summary:        Runtime components of wiggle code generator

# Upstream license specification: Apache-2.0 WITH LLVM-exception
License:        ASL 2.0
URL:            https://crates.io/crates/wiggle
Source:         %{crates_source}

# cranelift only supports x86_64, aarch64, and s390x
# * i686:    https://bugzilla.redhat.com/show_bug.cgi?id=1966344
# * armv7hl: https://bugzilla.redhat.com/show_bug.cgi?id=1966346
# * ppc64le: https://bugzilla.redhat.com/show_bug.cgi?id=1966347
ExclusiveArch:  x86_64 aarch64 s390x

BuildRequires:  rust-packaging

%global _description %{expand:
Runtime components of wiggle code generator.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+tracing_log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tracing_log-devel %{_description}

This package contains library source intended for building other packages which
use the "tracing_log" feature of the "%{crate}" crate.

%files       -n %{name}+tracing_log-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wasmtime-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasmtime-devel %{_description}

This package contains library source intended for building other packages which
use the "wasmtime" feature of the "%{crate}" crate.

%files       -n %{name}+wasmtime-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wasmtime_async-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasmtime_async-devel %{_description}

This package contains library source intended for building other packages which
use the "wasmtime_async" feature of the "%{crate}" crate.

%files       -n %{name}+wasmtime_async-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wasmtime_integration-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasmtime_integration-devel %{_description}

This package contains library source intended for building other packages which
use the "wasmtime_integration" feature of the "%{crate}" crate.

%files       -n %{name}+wasmtime_integration-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wiggle_metadata-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wiggle_metadata-devel %{_description}

This package contains library source intended for building other packages which
use the "wiggle_metadata" feature of the "%{crate}" crate.

%files       -n %{name}+wiggle_metadata-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+witx-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+witx-devel %{_description}

This package contains library source intended for building other packages which
use the "witx" feature of the "%{crate}" crate.

%files       -n %{name}+witx-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Mar 10 2022 Fabio Valentini <decathorpe@gmail.com> 0.33.0-1
- Initial import (#2051222)
